/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ElementLbudView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	protected EODisplayGroup  eodAgents;
	protected ZEOTable myEOTableAgents;
	protected ZEOTableModel myTableModelAgents;
	protected TableSorter myTableSorterAgents;

    /** Creates new form AffichageBSView */
    public ElementLbudView(java.awt.Frame parent, boolean modal, EODisplayGroup myEodAgents) {
        super(parent, modal);

        eodAgents = myEodAgents;
       
        initComponents();
        
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableAgents = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jSeparator2 = new javax.swing.JSeparator();
        buttonCLose = new javax.swing.JButton();
        buttonGetLbud = new javax.swing.JButton();
        buttonDelAgent = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        jSeparator3 = new javax.swing.JSeparator();
        buttonGetLImputation = new javax.swing.JButton();
        jSeparator4 = new javax.swing.JSeparator();
        buttonCap = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        checkChargesCap = new javax.swing.JCheckBox();
        checkChargesLbud = new javax.swing.JCheckBox();
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        buttonGetGrade = new javax.swing.JButton();
        tfPrenom = new javax.swing.JTextField();
        tfNom = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        buttonDelElement = new javax.swing.JButton();
        popupAnnee = new javax.swing.JComboBox();
        jLabel9 = new javax.swing.JLabel();
        popupConex = new javax.swing.JComboBox();
        buttonGetElement = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        tfGrade = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        buttonDelGrade = new javax.swing.JButton();
        jLabel13 = new javax.swing.JLabel();
        tfAffectation = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        buttonGetAffectation = new javax.swing.JButton();
        buttonDelAffectation = new javax.swing.JButton();
        tfCodeElement = new javax.swing.JTextField();
        tfLibelleElement = new javax.swing.JTextField();
        popupMois = new javax.swing.JComboBox();
        popupCodesGestion = new javax.swing.JComboBox();
        btnRechercher = new javax.swing.JButton();
        checkSuppression = new javax.swing.JCheckBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("ELEMENTS DE PAYE - SAISIE GROUPEE");

        viewTableAgents.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableAgents.setLayout(new java.awt.BorderLayout());

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel4.setForeground(new java.awt.Color(0, 153, 153));
        jLabel4.setText("Liste des agents");

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel5.setForeground(new java.awt.Color(0, 153, 153));
        jLabel5.setText("Ligne budgétaire");

        buttonCLose.setText("Fermer");
        buttonCLose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCLoseActionPerformed(evt);
            }
        });

        buttonGetLbud.setText("Saisir et Associer une ligne budgétaire");
        buttonGetLbud.setToolTipText("Sélection de la ligne budgétaire et association aux agents");

        buttonDelAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonDelAgentActionPerformed(evt);
            }
        });

        jLabel7.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel7.setForeground(new java.awt.Color(0, 153, 153));
        jLabel7.setText("Imputation");

        buttonGetLImputation.setText("Saisir et Associer un compte 6xxx");
        buttonGetLImputation.setToolTipText("Associer un compte d'imputation à la sélection");

        buttonCap.setText("Passage en Charges à Payer");
        buttonCap.setToolTipText("Saisie automatique des éléments concernés en charges  à payer");
        buttonCap.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCapActionPerformed(evt);
            }
        });

        jLabel10.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel10.setForeground(new java.awt.Color(0, 153, 153));
        jLabel10.setText("Charges à payer");

        checkChargesCap.setText("Charges");
        checkChargesCap.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkChargesCapActionPerformed(evt);
            }
        });

        checkChargesLbud.setText("Charges");
        checkChargesLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkChargesLbudActionPerformed(evt);
            }
        });

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Code Gestion :");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Affectation :");

        tfPrenom.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfPrenomActionPerformed(evt);
            }
        });

        tfNom.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfNomActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Conex :");

        popupAnnee.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupAnnee.setToolTipText("Budget");
        popupAnnee.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupAnneeActionPerformed(evt);
            }
        });

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Element TG :");

        popupConex.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel1.setForeground(new java.awt.Color(0, 153, 153));
        jLabel1.setText("Filtres de recherche");

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Nom :");

        tfGrade.setEditable(false);
        tfGrade.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfGradeActionPerformed(evt);
            }
        });

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Grade :");

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Prénom :");

        tfAffectation.setEditable(false);
        tfAffectation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfAffectationActionPerformed(evt);
            }
        });

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("MOIS :");

        tfCodeElement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCodeElementActionPerformed(evt);
            }
        });

        tfLibelleElement.setEditable(false);
        tfLibelleElement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleElementActionPerformed(evt);
            }
        });

        popupMois.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupMois.setToolTipText("Budget");
        popupMois.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupMoisActionPerformed(evt);
            }
        });

        popupCodesGestion.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        btnRechercher.setText("Lancer la recherche");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 245, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(257, 257, 257))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(jLabel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(popupCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 144, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(13, 13, 13)
                                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupConex, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 144, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(jPanel1Layout.createSequentialGroup()
                                                .add(popupMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 142, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(popupAnnee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(jPanel1Layout.createSequentialGroup()
                                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                                    .add(tfNom)
                                                    .add(tfCodeElement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 70, Short.MAX_VALUE))
                                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                                    .add(jPanel1Layout.createSequentialGroup()
                                                        .add(20, 20, 20)
                                                        .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                        .add(tfPrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                                    .add(jPanel1Layout.createSequentialGroup()
                                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                        .add(tfLibelleElement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 271, Short.MAX_VALUE)))))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(buttonGetElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(buttonDelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfAffectation)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 343, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(jPanel1Layout.createSequentialGroup()
                                                .add(buttonGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(buttonDelGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(jPanel1Layout.createSequentialGroup()
                                                .add(buttonGetAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(buttonDelAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                                    .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 201, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(133, 133, 133)))))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12)
                    .add(popupMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupAnnee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(13, 13, 13)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(tfNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel13)
                    .add(tfPrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel9)
                        .add(tfCodeElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfLibelleElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(buttonGetElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(buttonDelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(9, 9, 9)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(popupCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8)
                    .add(popupConex, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(14, 14, 14)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel3)
                        .add(tfGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(buttonGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(buttonDelGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(17, 17, 17)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel6)
                        .add(tfAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(buttonGetAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(buttonDelAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(btnRechercher)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        checkSuppression.setText("Supprimer les anciennes lignes");
        checkSuppression.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkSuppressionActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 332, Short.MAX_VALUE)
                        .add(buttonDelAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableAgents, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 462, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 529, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 174, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(410, 410, 410)
                        .add(buttonCLose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 132, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jSeparator3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 468, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jSeparator4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 478, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 172, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(127, 127, 127)
                        .add(buttonGetLImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 273, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 615, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(125, 125, 125)
                        .add(buttonCap, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 275, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkChargesCap, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 129, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(125, 125, 125)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(checkChargesLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(checkSuppression, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 213, Short.MAX_VALUE))
                                    .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 275, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 467, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(148, 148, 148)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(5, 5, 5)
                                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(buttonDelAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(259, 259, 259)
                                .add(jLabel5)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonGetLbud)
                                .add(8, 8, 8)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(checkChargesLbud)
                                    .add(checkSuppression))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jSeparator3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonGetLImputation)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jSeparator4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(buttonCap)
                                    .add(checkChargesCap))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 101, Short.MAX_VALUE)
                                .add(buttonCLose))
                            .add(layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(viewTableAgents, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 586, Short.MAX_VALUE)))))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-1059)/2, (screenSize.height-675)/2, 1059, 675);
    }// </editor-fold>//GEN-END:initComponents

    
private void popupMoisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupMoisActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_popupMoisActionPerformed

private void popupAnneeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupAnneeActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_popupAnneeActionPerformed

private void tfCodeElementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCodeElementActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfCodeElementActionPerformed

private void tfLibelleElementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleElementActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfLibelleElementActionPerformed

private void tfGradeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfGradeActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfGradeActionPerformed

private void buttonCLoseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCLoseActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonCLoseActionPerformed

private void tfAffectationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfAffectationActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfAffectationActionPerformed

private void buttonCapActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCapActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonCapActionPerformed

private void buttonDelAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDelAgentActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonDelAgentActionPerformed

private void tfNomActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfNomActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfNomActionPerformed

private void tfPrenomActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfPrenomActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfPrenomActionPerformed

private void checkChargesCapActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkChargesCapActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkChargesCapActionPerformed

private void checkChargesLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkChargesLbudActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkChargesLbudActionPerformed

private void checkSuppressionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSuppressionActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkSuppressionActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	ElementLbudView dialog = new ElementLbudView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton buttonCLose;
    protected javax.swing.JButton buttonCap;
    protected javax.swing.JButton buttonDelAffectation;
    protected javax.swing.JButton buttonDelAgent;
    protected javax.swing.JButton buttonDelElement;
    protected javax.swing.JButton buttonDelGrade;
    protected javax.swing.JButton buttonGetAffectation;
    protected javax.swing.JButton buttonGetElement;
    protected javax.swing.JButton buttonGetGrade;
    protected javax.swing.JButton buttonGetLImputation;
    protected javax.swing.JButton buttonGetLbud;
    private javax.swing.JCheckBox checkChargesCap;
    private javax.swing.JCheckBox checkChargesLbud;
    private javax.swing.JCheckBox checkSuppression;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JSeparator jSeparator4;
    protected javax.swing.JComboBox popupAnnee;
    protected javax.swing.JComboBox popupCodesGestion;
    protected javax.swing.JComboBox popupConex;
    protected javax.swing.JComboBox popupMois;
    protected javax.swing.JTextField tfAffectation;
    protected javax.swing.JTextField tfCodeElement;
    protected javax.swing.JTextField tfGrade;
    protected javax.swing.JTextField tfLibelleElement;
    protected javax.swing.JTextField tfNom;
    protected javax.swing.JTextField tfPrenom;
    private javax.swing.JPanel viewTableAgents;
    // End of variables declaration//GEN-END:variables

    	/*
	 * (non-Javadoc)
	 * 
	 * @see fr.univlr.karukera.client.ZKarukeraPanel#initGUI()
	 */
	private void initGui() {
		
		buttonCLose.setIcon(KakiIcones.ICON_CLOSE);
		
		buttonGetElement.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelElement.setIcon(KakiIcones.ICON_DELETE);
		
		buttonGetLbud.setIcon(KakiIcones.ICON_REFRESH_22);
		buttonGetLImputation.setIcon(KakiIcones.ICON_REFRESH_22);

		buttonCap.setIcon(KakiIcones.ICON_REFRESH_22);

		buttonGetGrade.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelGrade.setIcon(KakiIcones.ICON_DELETE);
		
		buttonGetAffectation.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelAffectation.setIcon(KakiIcones.ICON_DELETE);

		btnRechercher.setIcon(KakiIcones.ICON_LOUPE_22);
		buttonDelAgent.setIcon(KakiIcones.ICON_DELETE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodAgents, "PAGE_NOM" , "Nom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodAgents, "PAGE_PRENOM", "Prénom", 90);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodAgents, "IDELT", "Elément", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodAgents, "L_ELEMENT", "Libellé", 175);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		
		myTableModelAgents= new ZEOTableModel(eodAgents, myCols);
		myTableSorterAgents = new TableSorter(myTableModelAgents);

		myEOTableAgents = new ZEOTable(myTableSorterAgents);
		myTableSorterAgents.setTableHeader(myEOTableAgents.getTableHeader());		
		
		myEOTableAgents.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableAgents.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableAgents.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		
		
		viewTableAgents.setBorder(BorderFactory.createEmptyBorder());
		viewTableAgents.removeAll();
		viewTableAgents.setLayout(new BorderLayout());
		viewTableAgents.add(new JScrollPane(myEOTableAgents), BorderLayout.CENTER);
		
        }
        
	
	public void setListeExercices(NSArray liste) {
    	
    	popupAnnee.removeAllItems();
    	    	
    	for (int i=0;i<liste.count();i++) {
    		
    		popupAnnee.addItem(liste.objectAtIndex(i));
    		
    	}
    }
    
	public void setListeCodesGestion(NSArray codesGestion) {

        popupCodesGestion.removeAllItems();
        popupCodesGestion.addItem("*");
        for (int i=0;i<codesGestion.count();i++)
        	popupCodesGestion.addItem(codesGestion.objectAtIndex(i));
    }
    
    public void setListeConex(NSArray liste) {

    	popupConex.removeAllItems();
    	popupConex.addItem("*");
        for (int i=0;i<liste.count();i++)
        	popupConex.addItem(liste.objectAtIndex(i));
    }

	public ZEOTable getMyEOTableAgents() {
		return myEOTableAgents;
	}

	public void setMyEOTableAgents(ZEOTable myEOTableAgents) {
		this.myEOTableAgents = myEOTableAgents;
	}

	public ZEOTableModel getMyTableModelAgents() {
		return myTableModelAgents;
	}

	public void setMyTableModelAgents(ZEOTableModel myTableModelAgents) {
		this.myTableModelAgents = myTableModelAgents;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public javax.swing.JButton getButtonCLose() {
		return buttonCLose;
	}

	public void setButtonCLose(javax.swing.JButton buttonCLose) {
		this.buttonCLose = buttonCLose;
	}

	public javax.swing.JButton getButtonCap() {
		return buttonCap;
	}

	public void setButtonCap(javax.swing.JButton buttonCap) {
		this.buttonCap = buttonCap;
	}

	public javax.swing.JButton getButtonDelAffectation() {
		return buttonDelAffectation;
	}

	public void setButtonDelAffectation(javax.swing.JButton buttonDelAffectation) {
		this.buttonDelAffectation = buttonDelAffectation;
	}

	public javax.swing.JButton getButtonDelAgent() {
		return buttonDelAgent;
	}

	public void setButtonDelAgent(javax.swing.JButton buttonDelAgent) {
		this.buttonDelAgent = buttonDelAgent;
	}

	public javax.swing.JButton getButtonDelElement() {
		return buttonDelElement;
	}

	public void setButtonDelElement(javax.swing.JButton buttonDelElement) {
		this.buttonDelElement = buttonDelElement;
	}

	public javax.swing.JButton getButtonDelGrade() {
		return buttonDelGrade;
	}

	public void setButtonDelGrade(javax.swing.JButton buttonDelGrade) {
		this.buttonDelGrade = buttonDelGrade;
	}

	public javax.swing.JButton getButtonGetAffectation() {
		return buttonGetAffectation;
	}

	public void setButtonGetAffectation(javax.swing.JButton buttonGetAffectation) {
		this.buttonGetAffectation = buttonGetAffectation;
	}

	public javax.swing.JButton getButtonGetElement() {
		return buttonGetElement;
	}

	public void setButtonGetElement(javax.swing.JButton buttonGetElement) {
		this.buttonGetElement = buttonGetElement;
	}

	public javax.swing.JButton getButtonGetGrade() {
		return buttonGetGrade;
	}

	public void setButtonGetGrade(javax.swing.JButton buttonGetGrade) {
		this.buttonGetGrade = buttonGetGrade;
	}

	public javax.swing.JButton getButtonGetLImputation() {
		return buttonGetLImputation;
	}

	public void setButtonGetLImputation(javax.swing.JButton buttonGetLImputation) {
		this.buttonGetLImputation = buttonGetLImputation;
	}

	public javax.swing.JButton getButtonGetLbud() {
		return buttonGetLbud;
	}

	public void setButtonGetLbud(javax.swing.JButton buttonGetLbud) {
		this.buttonGetLbud = buttonGetLbud;
	}

	public javax.swing.JCheckBox getCheckChargesCap() {
		return checkChargesCap;
	}

	public void setCheckChargesCap(javax.swing.JCheckBox checkChargesCap) {
		this.checkChargesCap = checkChargesCap;
	}

	public javax.swing.JCheckBox getCheckChargesLbud() {
		return checkChargesLbud;
	}

	public void setCheckChargesLbud(javax.swing.JCheckBox checkChargesLbud) {
		this.checkChargesLbud = checkChargesLbud;
	}

	public javax.swing.JComboBox getPopupAnnee() {
		return popupAnnee;
	}

	public void setPopupAnnee(javax.swing.JComboBox popupAnnee) {
		this.popupAnnee = popupAnnee;
	}

	public javax.swing.JComboBox getPopupCodesGestion() {
		return popupCodesGestion;
	}

	public void setPopupCodesGestion(javax.swing.JComboBox popupCodesGestion) {
		this.popupCodesGestion = popupCodesGestion;
	}

	public javax.swing.JComboBox getPopupConex() {
		return popupConex;
	}

	public void setPopupConex(javax.swing.JComboBox popupConex) {
		this.popupConex = popupConex;
	}

	public javax.swing.JComboBox getPopupMois() {
		return popupMois;
	}

	public void setPopupMois(javax.swing.JComboBox popupMois) {
		this.popupMois = popupMois;
	}

	public javax.swing.JTextField getTfAffectation() {
		return tfAffectation;
	}

	public void setTfAffectation(javax.swing.JTextField tfAffectation) {
		this.tfAffectation = tfAffectation;
	}

	public javax.swing.JTextField getTfCodeElement() {
		return tfCodeElement;
	}

	public void setTfCodeElement(javax.swing.JTextField tfCodeElement) {
		this.tfCodeElement = tfCodeElement;
	}

	public javax.swing.JTextField getTfGrade() {
		return tfGrade;
	}

	public void setTfGrade(javax.swing.JTextField tfGrade) {
		this.tfGrade = tfGrade;
	}

	public javax.swing.JTextField getTfLibelleElement() {
		return tfLibelleElement;
	}

	public void setTfLibelleElement(javax.swing.JTextField tfLibelleElement) {
		this.tfLibelleElement = tfLibelleElement;
	}

	public javax.swing.JTextField getTfNom() {
		return tfNom;
	}

	public void setTfNom(javax.swing.JTextField tfNom) {
		this.tfNom = tfNom;
	}

	public javax.swing.JTextField getTfPrenom() {
		return tfPrenom;
	}

	public void setTfPrenom(javax.swing.JTextField tfPrenom) {
		this.tfPrenom = tfPrenom;
	}

	public javax.swing.JPanel getViewTableAgents() {
		return viewTableAgents;
	}

	public void setViewTableAgents(javax.swing.JPanel viewTableAgents) {
		this.viewTableAgents = viewTableAgents;
	}

	public javax.swing.JCheckBox getCheckSuppression() {
		return checkSuppression;
	}

	public void setCheckSuppression(javax.swing.JCheckBox checkSuppression) {
		this.checkSuppression = checkSuppression;
	}



}
